Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.buffer
Interface BufferUndoListener

    public interface BufferUndoListener

A interface for notification of buffer undo/redo actions. This interface makes it easier for undo-aware plugins to process undo/redo actions in a buffer. Buffer undo listeners are added and removed from a buffer using `JEditBuffer.addBufferUndoListener`and `JEditBuffer.removeBufferUndoListener`, respectively.````

Since:
  jEdit 4.3pre18

Method Summary
`void` | `beginRedo(JEditBuffer buffer)` Called when a redo on the buffer begins.
`void` | `beginUndo(JEditBuffer buffer)` Called when an undo operation on the buffer begins.
`void` | `endRedo(JEditBuffer buffer)` Called when a redo on the buffer ends.
`void` | `endUndo(JEditBuffer buffer)` Called when an undo operation on the buffer ends.

Method Detail

### beginUndo

    void beginUndo(JEditBuffer buffer)

  Called when an undo operation on the buffer begins.

  Parameters:
    `buffer` - The buffer in question

### endUndo

    void endUndo(JEditBuffer buffer)

  Called when an undo operation on the buffer ends.

  Parameters:
    `buffer` - The buffer in question

### beginRedo

    void beginRedo(JEditBuffer buffer)

  Called when a redo on the buffer begins.

  Parameters:
    `buffer` - The buffer in question

### endRedo

    void endRedo(JEditBuffer buffer)

  Called when a redo on the buffer ends.

  Parameters:
    `buffer` - The buffer in question

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD